wfut(1)

NAME
wfut - WorldForge update tool

SYNOPSIS
wfut [ options ] -u channel_name

DESCRIPTION
wfut is a command-line update tool intended for use with WorldForge systems. It provides the client side update functionality. Server-side functionality is still at present only available in the Java version of WFUT.

OPTIONS

-u channel_name, --update=channel_name
    Update the channel channel_name. This can be a period, ., if the current directory (or prefix) is the full path to a channel.

-p local_root, --prefix=local_root
    Use the directory local_root instead of the current working directory to search for local updates.

-s system_root, --system=system_root
    Look in system_root for read-only / package installed channel data.

-S server_root, --server=server_root
    Use server_root as the base URL on the server in which channels are kept.

EXAMPLES
The following command will update the channel sear-media. This will look for a directory called sear-media in $HOME/.wfut/, or create one if necessary and download updates into there. It will also look in /usr/share/wfut/sear-media for existing files. wfut -s /usr/share/wfut/ -p $HOME/.wfut/ -u sear-media

NOTES
wfut uses curl internally.